Issue 53234 - Cell styles for datapilots
Summary: Cell styles for datapilots
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.0 Beta
Hardware: All All
: P3 Trivial with 6 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2005-08-12 08:24 UTC by iannz
Modified: 2017-05-20 11:13 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description iannz 2005-08-12 08:24:46 UTC
To me it would be good if the service DataPilotField had another property
called, something like, CellStyle of type string, then when a datapilot is
created/updated cells that contain data for the field could have that cell style
applied.

I would be interested in putting together a patch for such an enhancement but
need some guidelines to get started.

This enhancement would then allow me to implement the most requested feature
that I receive for MyDataPilot macro which is available from
http://homepages.paradise.net.nz/hillview/OOo/

Thanks, Ian
Comment 1 frank 2005-08-12 09:03:36 UTC
Hi Niklas,

please have a look at this Issue and re-assign as needed.

Frank
Comment 2 schultzter 2008-01-30 21:38:56 UTC
This is definitely an issue that prevents me from make the switch from Excel.  I
need the formatting (width, font, colour, background, etc.) I have applied to
rows and columns to stay in place when I refresh the table.  As well, if the
Data Pilot grows (or shrinks) the formatting should move logically with the
table (i.e.: if the Totals column has a background colour applied and a new row
is added then that row's Total cell should receive the same formatting as the
other Total cells).
Comment 3 Marcus 2017-05-20 11:13:16 UTC
Reset assigne to the default "issues@openoffice.apache.org".